## LassoIdWsf2SubsRefQueryResponse LassoIdWsf2SubsRefQueryResponse — <subsref:QueryResponse> |

## Functions

LassoIdWsf2SubsRefQueryResponse * | lasso_idwsf2_subsref_query_response_new ()

## Types and Values

struct | LassoIdWsf2SubsRefQueryResponse

## Description

Figure 264. Schema fragment for subsref:QueryResponse

    <xs:complexType name="QueryResponseType">
      <xs:complexContent>
        <xs:extension base="dst:DataResponseBaseType">
          <xs:sequence>
            <xs:element ref="lu:TestResult" minOccurs="0" maxOccurs="unbounded"/>
            <xs:element ref="subsref:Data" minOccurs="0" maxOccurs="unbounded"/>
          </xs:sequence>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>

## Functions

### lasso_idwsf2_subsref_query_response_new ()

    LassoIdWsf2SubsRefQueryResponse *
    lasso_idwsf2_subsref_query_response_new
                                   (void);

Creates a new LassoIdWsf2SubsRefQueryResponse object.

#### Returns

a newly created LassoIdWsf2SubsRefQueryResponse object

## Types and Values

### struct LassoIdWsf2SubsRefQueryResponse

    struct LassoIdWsf2SubsRefQueryResponse {
    	LassoIdWsf2DstDataResponseBase parent;

    	/* elements */
    	GList *TestResult; /* of LassoNode */
    	GList *Data; /* of LassoNode */
    };